]> sipb.mit.edu Git - ikiwiki.git/blob - debian/NEWS
* Change htmlize, format, and sanitize hooks to use named parameters.
[ikiwiki.git] / debian / NEWS
1 ikiwiki (1.22) unstable; urgency=low
2
3   If you have modified versions of ikiwiki's html templates, you will need
4   to update your templates to link to the stylesheet file using
5   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
6   STYLEURL.
7
8   There have also been some changes to the plugin interface:
9   Any plugins that use santize, htmlize, or format hooks will need to be
10   updated for this version of ikiwiki since these hooks have been changed
11   to use named parameters.
12
13  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
14
15 ikiwiki (1.13) unstable; urgency=low
16
17   The GlobList format which was used for specifiying sets of pages, has been
18   replaced with a new, more expressive PageSpec format. While GlobLists will
19   continue to work, that format is deprecated, and you are encouraged to use
20   PageSpecs from now on, and also to change any GlobLists in your wiki to
21   PageSpecs. See the new PageSpec page for details.
22   
23   You will need to rebuild your wiki when upgrading to this version. If you
24   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
25   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
26   rebuild.
27
28  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
29
30 ikiwiki (1.11) unstable; urgency=low
31
32   Some changes to tags in this release, due to a new tag plugin. If you have
33   been using the meta plugin to tag pages, you'll want to enable the tag
34   plugin too, and change things like this:
35
36   [[meta link="foobar"]]
37
38   To this:
39
40   [[tag foobar]]
41
42   The new tags will appear at page footers, and are also easier to type.
43
44   There have also been some changes to the plugin interface, particularly the
45   interface of pagetemplate hooks has changed. See the changelog for details.
46
47  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
48
49 ikiwiki (1.8) unstable; urgency=low
50
51   If your wiki is configured with a setup file, you should modify it to
52   stop setting the "plugin" list directly, and instead add or remove plugins
53   via the add_plugins and disable_plugins lines. For example, if you had:
54
55         plugin => [qw{inline smiley search}],
56
57   Change it to these lines, which disables the default htmlscrubber plugin
58   and adds the two additional plugins:
59
60         add_plugins => [qw{smiley search}],
61         disable_plugins => [qw{htmlscrubber}],
62
63   Making this change makes your ikiwiki setup file more future-proof since
64   new default plugins will be automatically used.
65   
66   You will need to rebuild your ikiwiki wrappers when upgrading to this
67   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
68   done automatically when the Debian package is upgraded. Or use
69   ikiiki-mass-rebuild --refresh to force a refresh.
70
71  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
72
73 ikiwiki (1.1) unstable; urgency=low
74
75   There have been several configuration changes in this release of ikiwiki:
76
77   The --svn and --no-svn switches are removed, instead you should use
78    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
79   be changed to set rcs => "svn"; if your setup file sets svn => 0
80   then change it to use rcs => "" to disable svn.
81
82   The --hyperestraier switch is gone too. To enable searching, turn on the
83   search plugin, by passing --plugin=search or through the plugin setting in
84   the setup file.
85
86   The --sanitize and --no-sanitize switches are also gone, replaced with the
87   htmlscrubber plugin. This plugin is enabled by default, to disable it,
88   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
89   setup file.
90
91   Discussion pages are enabled by default, but if your wiki is configured
92   with a setup file, you need to edit it to keep them enabled on upgrade
93   to this version. Add a line reading:
94   discussion => 1,
95
96   You will need to rebuild your wiki when upgrading to this version.
97   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
98   automatically when the Debian package is upgraded. Or use
99   ikiiki-mass-rebuild to force a rebuild.
100
101  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400